package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 对应数据库表(cooperation_organ):
 */
public class CooperationOrgan {

	public enum OwnershipType implements BaseEnum<String, OwnershipType> {

		OWN("自有"), COOPERATION("合作"), LEASE("租赁"), ;

		private String desc;

		private OwnershipType(String desc) {
			this.desc = desc;
		}

		@Override
		public String getCode() {
			return name();
		}

		public String getDesc() {
			return desc;
		}
	}

	/**  */
	private Integer id;

	/** 单位名称 */
	@ApiModelProperty(value = "班级编号", required = false)
	private String name;

	/** 分部编号 */
	@ApiModelProperty(value = "分部编号", required = false)
	private Integer organId;
	
	private Organization organization = new Organization();

	/** 联系人 */
	@ApiModelProperty(value = "联系人", required = false)
	private String linkman;

	/**  */
	@ApiModelProperty(value = "职位", required = false)
	private String job;

	/**  */
	@ApiModelProperty(value = "手机号码", required = false)
	private String mobileNo;

	/**  */
	@ApiModelProperty(value = "地址", required = false)
	private String address;

	@ApiModelProperty(value = "权属类型(OWN('自有'),COOPERATION('合作'),LEASE('租赁'))", required = false)
	private OwnershipType ownershipType;
	
	@ApiModelProperty(value = "是否启用", required = false)
	private Boolean isEnable;

	/**  */
	private java.util.Date createTime;

	/**  */
	private java.util.Date updateTime;

	@ApiModelProperty(value = "是否全职资源",required = false)
	private Integer fullJobResource;

	public Integer getFullJobResource() {
		return fullJobResource;
	}

	public void setFullJobResource(Integer fullJobResource) {
		this.fullJobResource = fullJobResource;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public Organization getOrganization() {
		return organization;
	}

	public void setOrganization(Organization organization) {
		this.organization = organization;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return this.id;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return this.name;
	}

	public void setLinkman(String linkman) {
		this.linkman = linkman;
	}

	public String getLinkman() {
		return this.linkman;
	}

	public void setJob(String job) {
		this.job = job;
	}

	public String getJob() {
		return this.job;
	}

	public void setMobileNo(String mobileNo) {
		this.mobileNo = mobileNo;
	}

	public String getMobileNo() {
		return this.mobileNo;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getAddress() {
		return this.address;
	}

	public void setCreateTime(java.util.Date createTime) {
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime() {
		return this.createTime;
	}

	public void setUpdateTime(java.util.Date updateTime) {
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime() {
		return this.updateTime;
	}

	public OwnershipType getOwnershipType() {
		return ownershipType;
	}

	public void setOwnershipType(OwnershipType ownershipType) {
		this.ownershipType = ownershipType;
	}

	public Boolean getIsEnable() {
		return isEnable;
	}

	public void setIsEnable(Boolean isEnable) {
		this.isEnable = isEnable;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
